Skip to main content
GET
/
2025-09
/
tasks
List all Tasks
curl --request GET \
  --url https://public-api.stora.co/2025-09/tasks \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://public-api.stora.co/2025-09/tasks"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://public-api.stora.co/2025-09/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "tasks": [
    {
      "id": "task_195h6kfm9ro15lof",
      "assignee": {
        "id": "staff_06778802edebb94d"
      },
      "completed_at": null,
      "created_at": "2025-02-22T14:41:00Z",
      "creator": {
        "id": "staff_06778802edebb94d"
      },
      "description": "<p>This is a test task.</p>",
      "due_at": "2025-02-24T14:41:00Z",
      "metadata": {},
      "resource": {
        "id": "unit_1e36123098e22cf8"
      },
      "site": {
        "id": "site_14b419f1096013f1"
      },
      "status": "open",
      "title": "My Task",
      "updated_at": "2025-02-22T14:41:00Z"
    },
    {
      "id": "task_e6705c4af27d9910",
      "assignee": {
        "id": "staff_06778802edebb94d"
      },
      "completed_at": null,
      "created_at": "2025-02-22T14:41:00Z",
      "creator": {
        "id": "tok_7f6e5fb4bb548dbc"
      },
      "description": "This is a test task created by Access Token.",
      "due_at": "2025-02-25T14:41:00Z",
      "metadata": {},
      "resource": {
        "id": "unit_1e36123098e22cf8"
      },
      "site": {
        "id": "site_14b419f1096013f1"
      },
      "status": "open",
      "title": "Access Token Task",
      "updated_at": "2025-02-22T14:41:00Z"
    }
  ],
  "meta": {
    "request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
    "curies": [
      {
        "name": "bo",
        "href": "https://app.stora.test{rel}",
        "templated": true,
        "title": "Backoffice"
      },
      {
        "name": "sf",
        "href": "https://acme.stora.test{rel}",
        "templated": true,
        "title": "Storefront"
      }
    ],
    "pagination": {
      "count": 2,
      "last": 1,
      "limit": 50,
      "next": null,
      "page": 1,
      "pages": 1,
      "prev": null
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer Token necessary to use API

Query Parameters

page
integer

Pagination: Page number

Required range: x >= 1
limit
integer

Pagination: Limit number of items per page.

Required range: 1 <= x <= 100
sort_by
enum<string>

Sorting by attribute. Default created_at

Available options:
created_at,
due_at,
updated_at
sort_direction
enum<string>

Sorting by ASC or DESC direction. Default DESC

Available options:
ASC,
DESC
status
enum<string>[]

Filter by status. Supports multiple values separated by a comma.

Available options:
open,
completed
resource_id
string

Filter by Resource ID (unit, subscription, or contact). Supports multiple values separated by comma.

assignee_id
string

Filter by Assignee ID. Supports multiple values separated by comma. Use unassigned for tasks without an assignee.

metadata
object

Filter by metadata. Use metadata[key]=value to filter by specific metadata keys.

Example:
{}
expand
string[]

This endpoint supports expandable responses. For more, see the documentation page.

created_after
string<date-time>

Filters results to created after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

created_before
string<date-time>

Filters results to created before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

updated_after
string<date-time>

Filters results to updated after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

updated_before
string<date-time>

Filters results to updated before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

due_after
string<date-time>

Filters results to due after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

due_before
string<date-time>

Filters results to due before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

Response

200 - application/json

list of tasks

List of Tasks

tasks
object[]
meta
object